org.apache.activemq.artemis.api.core.client

## Interface ClientSession.AddressQuery

- Enclosing interface:
    ClientSession

      public static interface ClientSession.AddressQuery

  Information returned by a binding query
  See Also:
    `ClientSession.addressQuery(SimpleString)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getDefaultConsumersBeforeDispatch()`
    `Long` | `getDefaultDelayBeforeDispatch()`
    `SimpleString` | `getDefaultLastValueKey()`
    `int` | `getDefaultMaxConsumers()`
    `List<SimpleString>` | `getQueueNames()` Returns the names of the queues bound to the binding.
    `boolean` | `isAutoCreateAddresses()` Returns `true` if auto-address-creation for this address is enabled, `false` else.
    `boolean` | `isAutoCreateQueues()` Returns `true` if auto-queue-creation for this address is enabled, `false` else.
    `Boolean` | `isDefaultExclusive()`
    `Boolean` | `isDefaultLastValueQueue()`
    `Boolean` | `isDefaultNonDestructive()`
    `boolean` | `isDefaultPurgeOnNoConsumers()`
    `boolean` | `isExists()` Returns `true` if the binding exists, `false` else.

- - ### Method Detail

    - #### isExists

          boolean isExists()

      Returns `true` if the binding exists, `false` else.

    - #### getQueueNames

          List<SimpleString> getQueueNames()

      Returns the names of the queues bound to the binding.

    - #### isAutoCreateQueues

          boolean isAutoCreateQueues()

      Returns `true` if auto-queue-creation for this address is enabled, `false` else.

    - #### isAutoCreateAddresses

          boolean isAutoCreateAddresses()

      Returns `true` if auto-address-creation for this address is enabled, `false` else.

    - #### isDefaultPurgeOnNoConsumers

          boolean isDefaultPurgeOnNoConsumers()

    - #### getDefaultMaxConsumers

          int getDefaultMaxConsumers()

    - #### isDefaultLastValueQueue

          Boolean isDefaultLastValueQueue()

    - #### isDefaultExclusive

          Boolean isDefaultExclusive()

    - #### getDefaultLastValueKey

          SimpleString getDefaultLastValueKey()

    - #### isDefaultNonDestructive

          Boolean isDefaultNonDestructive()

    - #### getDefaultConsumersBeforeDispatch

          Integer getDefaultConsumersBeforeDispatch()

    - #### getDefaultDelayBeforeDispatch

          Long getDefaultDelayBeforeDispatch()

Copyright © 2020 The Apache Software Foundation. All rights reserved.